SYSUPGRADE(8)

NAME
sysupgrade - operating system upgrader

SYNOPSIS
sysupgrade

DESCRIPTION
sysupgrade is an interactive command line program that does an upgrade(7) of another installation to the current operating system. It asks basic questions, searches for existing installations, verifies the upgrade makes sense, and upgrades the target system according to upgrade.conf(5) of the target system.

sysupgrade must be run as root with stdin, stdout and stderr all pointing to the terminal. It is intended to be run from a live environment and not from an actual installation.

sysupgrade is one of three supported upgrade methods. The other two are upgrading from the network using tix-upgrade(8), and building from source and invoking sysmerge(8) directly.

SEE ALSO
autoupgrade.conf(5), upgrade(7), sysinstall(8), sysmerge(8), tix-upgrade(8)